summaryrefslogtreecommitdiffstats
path: root/test/bpftest
diff options
context:
space:
mode:
Diffstat (limited to 'test/bpftest')
-rw-r--r--test/bpftest28
1 files changed, 28 insertions, 0 deletions
diff --git a/test/bpftest b/test/bpftest
new file mode 100644
index 0000000..b24c0f1
--- /dev/null
+++ b/test/bpftest
@@ -0,0 +1,28 @@
+#!/bin/sh
+if [ -f /usr/ucb/touch ] ; then
+ TOUCH=/usr/ucb/touch
+else
+ if [ -f /usr/bin/touch ] ; then
+ TOUCH=/usr/bin/touch
+ else
+ if [ -f /bin/touch ] ; then
+ TOUCH=/bin/touch
+ fi
+ fi
+fi
+echo "$1...";
+input=`expr $1 : 'bpf-\(.*\)'`
+/bin/cp /dev/null results/$1
+( while read rule; do
+ echo "$rule" | ../ipftest -Rbr - -i input/$input >> results/$1;
+ if [ $? -ne 0 ] ; then
+ exit 1;
+ fi
+ echo "--------" >> results/$1
+done ) < regress/$1
+cmp expected/$1 results/$1
+status=$?
+if [ $status = 0 ] ; then
+ $TOUCH $1
+fi
+exit $status
OpenPOWER on IntegriCloud